
/***************************************************************************
**
**    $Header:   D:/PICSLDV/SRC/LOG/VARFRM.H__   1.14   09 Jan 1997 14:26:40   ZJRD  $
**
**    $Log:   D:/PICSLDV/SRC/LOG/VARFRM.H__  $
** 
**    Rev 1.0   13 Aug 1996 09:19:46   ZJRD
** Initial revision.
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
//
//  File name: VARFRM.H
//
//  Description: The header file for the class: CVarFrame.
//
//  Author: Chen Jun
//
//  Date: 07/03/95
//
//  Modification:
//      1. 07/03/95, Initial version of the class: CVarFrame.
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _VARFRM_
#define _VARFRM_


/////////////////////////////////////////////////////////////////////////////
// CVarFrame frame

class CVarFrame : public CMDIChildWnd
{
    DECLARE_DYNCREATE(CVarFrame)
public:
    BOOL PreCreateWindow(CREATESTRUCT& cs);
    CVarFrame();

// Attributes
public:
    enum { bottomHeight = 20 };
    CVarPane m_wndBottomPane;

// Operations
private:
    BOOL m_nErrorID;
    enum {
        noError = 0,        // No error.
        insufficientMemory, // Insufficient memory.
        bottomPane,         // Cannot create Bottom pane.
        maxError = 10       // Limition of error ID.
    };
    void DisplayErrorMessage(void) const;

// Implementation
protected:
    virtual ~CVarFrame();

protected:
/*
    afx_msg void OnViewSortbyHistory();
    afx_msg void OnUpdateViewSortbyHistory(CCmdUI* pCmdUI);
    afx_msg void OnViewSortbyName();
    afx_msg void OnUpdateViewSortbyName(CCmdUI* pCmdUI);
    afx_msg void OnViewDisplayHorizontally();
    afx_msg void OnUpdateViewDisplayHorizontally(CCmdUI* pCmdUI);
    afx_msg void OnViewDisplayVertically();
    afx_msg void OnUpdateViewDisplayVertically(CCmdUI* pCmdUI);
    afx_msg void OnViewTypeCast();
    afx_msg void OnUpdateViewTypecast(CCmdUI* pCmdUI);
*/
    // Generated message map functions
    virtual BOOL PreTranslateMessage(MSG *pMsg);
    //{{AFX_MSG(CVarFrame)
    afx_msg void OnSrchComboKillFocus();
    afx_msg void OnUpdateSearchCombo(CCmdUI* pCmdUI);
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnGetMinMaxInfo(MINMAXINFO FAR* lpMMI);
    afx_msg void OnEditModifyValues();
    afx_msg void OnEditSearch();
    afx_msg void OnEditSearchNext();
    afx_msg void OnUpdateEditSearchNext(CCmdUI* pCmdUI);
    afx_msg void OnVariableAdd();
    afx_msg void OnVariableDelete();
    afx_msg void OnVariableDeleteAll();
    afx_msg void OnVariableEdit();
    afx_msg void OnVariableUndelete();
    afx_msg void OnMDIActivate(BOOL bActivate, CWnd* pActivateWnd, CWnd* pDeactivateWnd);
    afx_msg void OnUpdateEditModifyvalues(CCmdUI* pCmdUI);
    afx_msg void OnUpdateEditSearch(CCmdUI* pCmdUI);
    afx_msg void OnUpdateVariableDelete(CCmdUI* pCmdUI);
    afx_msg void OnUpdateVariableDeleteall(CCmdUI* pCmdUI);
    afx_msg void OnUpdateVariableEdit(CCmdUI* pCmdUI);
	//}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

#endif
//////////////////////////////// End of File ////////////////////////////////
